## org.apache.catalina.ant
Class UndeployTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask
                  org.apache.catalina.ant.UndeployTask

public class UndeployTask
extends AbstractCatalinaTask

Ant task that implements the `/undeploy` command, supported by the Tomcat manager application.

Since:
  4.1
Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:27:10 $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` `path` The context path of the web application we are managing.

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`password, url, username`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`UndeployTask()`

Method Summary
`void` `execute()` Execute the requested operation.
`java.lang.String` `getPath()`
`void` `setPath(java.lang.String path)`

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getPassword, getUrl, getUsername, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    protected java.lang.String path

  The context path of the web application we are managing.

Constructor Detail

### UndeployTask

    public UndeployTask()

Method Detail

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.